\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{TypesVariables}[2017/06/30 Types and Variables Macros]

\RequirePackage{haskell}
\input{listings-haskell.sty}

\newcommand{\Types}{\Glspl{type}}

\makeglossaries

\loadglsentries{terms.tex}
\loadglsentries[type=\acronymtype]{acronyms.tex}